import request from '@/utils/request'

// 查询机构记录列表
export function listQueryInstitution(query) {
  return request({
    url: '/invest/creditQueryRecord/listQueryInstitution',
    method: 'get',
    params: query
  })
}

// 查询征信报告查询记录列表
export function listCreditQueryRecord(query) {
  return request({
    url: '/invest/creditQueryRecord/list',
    method: 'get',
    params: query
  })
}

// 查询征信报告查询记录详细
export function getCreditQueryRecord(id) {
  return request({
    url: '/invest/creditQueryRecord/' + id,
    method: 'get'
  })
}

// 新增征信报告查询记录
export function addCreditQueryRecord(data) {
  return request({
    url: '/invest/creditQueryRecord',
    method: 'post',
    data
  })
}

// 修改征信报告查询记录
export function updateCreditQueryRecord(data) {
  return request({
    url: '/invest/creditQueryRecord',
    method: 'put',
    data
  })
}

// 删除征信报告查询记录
export function delCreditQueryRecord(id) {
  return request({
    url: '/invest/creditQueryRecord/' + id,
    method: 'delete'
  })
}

// 查询征信报告查询记录详细
export function getCreditRecordAnalysis(query) {
  return request({
    url: '/invest/creditQueryRecord/analysis',
    method: 'get',
    params: query
  })
}
